Skip to main content
https://.thoughtindustries.com

Extract

Returns a paginated list of login events

Returns a paginated list of login events.

GEThttps://example.thoughtindustries.com/incoming/v2/events/login

Example request

curl "https://example.thoughtindustries.com/incoming/v2/events/login" \
  -H 'Authorization: Bearer YOUR_API_KEY'

Parameters

NameTypeRequiredLocationDescription
kindstringNoqueryFilters results by event kind.
cursorstringNoqueryOpaque cursor string used to fetch the next page of results.
startDateISO 8601 timestampNoqueryReturns only events that occurred at or after this ISO 8601 timestamp.
endDateISO 8601 timestampNoqueryReturns only events that occurred at or before this ISO 8601 timestamp.
notifiableIduuidNoqueryFilters results to events associated with this notifiable object's UUID.
userIduuidNoqueryFilters results to events associated with this user's UUID.

Example response

{
  "data": {
    "APIEvents": {
      "pageInfo": {
        "perPage": 0,
        "cursor": "string",
        "total": 0,
        "hasMore": true
      },
      "events": [
        {}
      ]
    }
  }
}

Response fields

FieldTypeDescription
pageInfoCursorPageInfoPagination metadata for the current result set.
pageInfo.perPageintegerNumber of events returned per page.
pageInfo.cursorstringCursor value to pass in the next request to retrieve the following page.
pageInfo.totalintegerTotal number of login events matching the query.
pageInfo.hasMorebooleanIndicates whether additional pages of results are available.
eventsobject[]Array of login event objects matching the query parameters.